Forum > Beginners

A problem with Firebird Embedded 2.5

(1/6) > >>

pascal111:
I was following tutorials of next links:

https://wiki.freepascal.org/Lazarus_Database_Overview

https://wiki.freepascal.org/SQLdb_Tutorial0

https://wiki.freepascal.org/SQLdb_Tutorial1

I was trying apply the example, but I found an error that I don't understand like in next image. I tried to use  Firebird Embedded 2.5 and extracted its demanded files as it is explained in https://wiki.freepascal.org/SQLdb_Tutorial0 but I still has a problem. I have poor knowledge in databases, I know the basics only.

https://i.postimg.cc/3NV1PyvX/pas1-Untitled-1-copy.jpg

af0815:
The answer is in the picture.

The DB found is Version 13.0. But the version of DB-driver supported by Lazarus can only Version 11.2.


Is the db created by Lazarus or with a external tool ? (Or copied from samples folder of the firebird installation)

Thaddy:
Just do not use Firebird. >:D Almost nobody uses it and should not use it, except from some old Delphi programmers who insist on it.
It is not a mainstream format and FPC supports almost all mainstream databases.

pascal111:

--- Quote from: af0815 on July 06, 2022, 06:45:57 pm ---The answer is in the picture.

The DB found is Version 13.0. But the version of DB-driver supported by Lazarus can only Version 11.2.


Is the db created by Lazarus or with a external tool ? (Or copied from samples folder of the firebird installation)

--- End quote ---

The DB file is created by Firebird server last version. How we can solve this problem?

pascal111:

--- Quote from: Thaddy on July 06, 2022, 06:54:25 pm ---Just do not use firebird. >:D

--- End quote ---

The tutorial said the fastest way for DB is firebird!

Navigation

[0] Message Index

[#] Next page

Go to full version